Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
user/userbox.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZUserMain", "Language" )
| $UserWithAddress = $ini->variable( "eZUserMain", "UserWithAddress" )
| $user =& eZUser::currentUser()
if(! $user) | else
| $adminSiteAccessHostNameURL = $ini->variable( "site", "AdminSiteURL" )
| $isAdminShowLinkMarkup
| $message = new eZMessage( )
| $locale = new eZLocale( $Language )
| $messageArray =& $message->messagesToUser( $user )
| $i = 0

## Variable Documentation

## ◆ $adminSiteAccessHostNameURL

$adminSiteAccessHostNameURL = $ini->variable( "site", "AdminSiteURL" )

Definition at line 176 of file user/userbox.php.

## ◆ $i

$i = 0

Definition at line 201 of file user/userbox.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 34 of file user/userbox.php.

## ◆ $isAdminShowLinkMarkup

$isAdminShowLinkMarkup

Initial value:
= "<tr><td width='1%' valign='top'><img src='/design/intranet/images/dot.gif' width='10' height='12' border='0' alt=''><br></td>
<td width='99%'><a target='_blank' class='menu' href='https://$adminSiteAccessHostNameURL'>Administrator</a></td></tr>
"

Definition at line 177 of file user/userbox.php.

## ◆ $Language

$Language = $ini->variable( "eZUserMain", "Language" )

Definition at line 35 of file user/userbox.php.

## ◆ $locale

$locale = new eZLocale( $Language )

Definition at line 199 of file user/userbox.php.

## ◆ $message

$message = new eZMessage( )

Definition at line 196 of file user/userbox.php.

## ◆ $messageArray

$messageArray =& $message->messagesToUser( $user )

Definition at line 200 of file user/userbox.php.

## ◆ $user

$user =& eZUser::currentUser()

Definition at line 44 of file user/userbox.php.

## ◆ $UserWithAddress

$UserWithAddress = $ini->variable( "eZUserMain", "UserWithAddress" )

Definition at line 36 of file user/userbox.php.

## ◆ else

if (eZPermission::checkPermission($user, "eZUser", "AdminLogin")) else

Initial value:
{
$t = new eZTemplate( "kernel/ezuser/user/" . $ini->variable( "eZUserMain", "TemplateDir" ),
"kernel/ezuser/user/intl", $Language, "userbox.php" )
eZTemplate
Definition: eztemplate.php:107
$t
foreach( $Modules as $module) if(isset( $ItemInsert)) $t
Definition: classes/admin/linklist.php:168
$Language
$Language
Definition: user/userbox.php:35
$ini
$ini
Definition: user/userbox.php:34

Definition at line 126 of file user/userbox.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.